commit:     3828f0602c9a00bc9204b5d3a293b513f03d8dd8
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 23 16:53:22 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Aug 23 19:05:31 2020 +0000
URL:        https://gitweb.gentoo.org/proj/kde-sunset.git/commit/?id=3828f060

app-crypt/pinentry: Cleanups and fixes, drop all but latest

- fix DESCRIPTION
- drop long gone arches
- use arm hack to avoid de-keywording it and revdeps

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 app-crypt/pinentry/files/pinentry-gmem.patch | 45 --------------
 app-crypt/pinentry/metadata.xml              |  4 --
 app-crypt/pinentry/pinentry-0.7.5-r1.ebuild  | 88 ---------------------------
 app-crypt/pinentry/pinentry-0.7.5.ebuild     | 71 ----------------------
 app-crypt/pinentry/pinentry-0.7.6.ebuild     | 91 ----------------------------
 app-crypt/pinentry/pinentry-0.8.0.ebuild     | 41 +++++++------
 6 files changed, 21 insertions(+), 319 deletions(-)

diff --git a/app-crypt/pinentry/files/pinentry-gmem.patch 
b/app-crypt/pinentry/files/pinentry-gmem.patch
deleted file mode 100644
index 78121e6b..00000000
--- a/app-crypt/pinentry/files/pinentry-gmem.patch
+++ /dev/null
@@ -1,45 +0,0 @@
-Workaround for API change in >=glib-2.16.1, bug #213382
-
-This is not the final solution, but the patches posted on the mailing-list
-cause more breakage than they help to solve the problem.
-
-Index: pinentry/gtk+-2/gtksecentry.c
-===================================================================
---- pinentry/gtk+-2/gtksecentry.c      (revision 181)
-+++ pinentry/gtk+-2/gtksecentry.c      (working copy)
-@@ -270,7 +270,11 @@
- 
- 
- gpointer
-+#if GLIB_CHECK_VERSION(2, 16, 1)
-+g_malloc(gsize size)
-+#else
- g_malloc(gulong size)
-+#endif
- {
-     gpointer p;
- 
-@@ -288,7 +292,11 @@
- }
- 
- gpointer
-+#if GLIB_CHECK_VERSION(2, 16, 1)
-+g_malloc0(gsize size)
-+#else
- g_malloc0(gulong size)
-+#endif
- {
-     gpointer p;
- 
-@@ -308,7 +316,11 @@
- }
- 
- gpointer
-+#if GLIB_CHECK_VERSION(2, 16, 1)
-+g_realloc(gpointer mem, gsize size)
-+#else
- g_realloc(gpointer mem, gulong size)
-+#endif
- {
-     gpointer p;
- 

diff --git a/app-crypt/pinentry/metadata.xml b/app-crypt/pinentry/metadata.xml
index aa44b755..7a38bb90 100644
--- a/app-crypt/pinentry/metadata.xml
+++ b/app-crypt/pinentry/metadata.xml
@@ -2,8 +2,4 @@
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
        <!-- maintainer-needed -->
-       <maintainer>
-               <email>[email protected]</email>
-               <description>Primary Maintainer</description>
-       </maintainer>
 </pkgmetadata>

diff --git a/app-crypt/pinentry/pinentry-0.7.5-r1.ebuild 
b/app-crypt/pinentry/pinentry-0.7.5-r1.ebuild
deleted file mode 100644
index 7fec9f6e..00000000
--- a/app-crypt/pinentry/pinentry-0.7.5-r1.ebuild
+++ /dev/null
@@ -1,88 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/app-crypt/pinentry/pinentry-0.7.5-r1.ebuild,v 1.2 
2009/05/02 20:33:05 swegener Exp $
-
-EAPI="1"
-
-inherit qt3 multilib eutils flag-o-matic
-
-DESCRIPTION="Collection of simple PIN or passphrase entry dialogs which 
utilize the Assuan protocol"
-HOMEPAGE="http://www.gnupg.org/aegypten/";
-SRC_URI="mirror://gnupg/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
-IUSE="gtk ncurses qt3 caps static"
-
-DEPEND="static? ( sys-libs/ncurses )
-       !static? (
-               gtk? ( x11-libs/gtk+:2 )
-               ncurses? ( sys-libs/ncurses )
-               qt3? ( dev-qt/qt-meta:3 )
-               !gtk? ( !qt3? ( !ncurses? ( sys-libs/ncurses ) ) )
-       )
-       caps? ( sys-libs/libcap )"
-RDEPEND="${DEPEND}"
-
-pkg_setup() {
-       use static && append-ldflags -static
-
-       if use static && ( use gtk || use qt3 )
-       then
-               ewarn
-               ewarn "The static USE flag is only supported with the ncurses 
USE flags, disabling the gtk and qt3 USE flags."
-               ewarn
-       fi
-}
-
-src_unpack() {
-       unpack ${A}
-       cd "${S}"
-
-       epatch "${FILESDIR}/${P}-grab.patch"
-       epatch "${FILESDIR}/${PN}-gmem.patch"
-}
-
-src_compile() {
-       local myconf=""
-
-       if ! ( use qt3 || use gtk || use ncurses )
-       then
-               myconf="--enable-pinentry-curses --enable-fallback-curses"
-       elif use static
-       then
-               myconf="--enable-pinentry-curses --enable-fallback-curses 
--disable-pinentry-gtk2 --disable-pinentry-qt"
-       fi
-
-       # Issues finding qt on multilib systems
-       export QTLIB="${QTDIR}/$(get_libdir)"
-
-       econf \
-               --disable-dependency-tracking \
-               --enable-maintainer-mode \
-               --disable-pinentry-gtk \
-               $(use_enable gtk pinentry-gtk2) \
-               $(use_enable qt3 pinentry-qt) \
-               $(use_enable ncurses pinentry-curses) \
-               $(use_enable ncurses fallback-curses) \
-               $(use_with caps libcap) \
-               ${myconf} \
-               || die "econf failed"
-       emake || die "emake failed"
-}
-
-src_install() {
-       emake DESTDIR="${D}" install || die "make install failed"
-       dodoc AUTHORS ChangeLog NEWS README THANKS TODO || die "dodoc failed"
-}
-
-pkg_postinst() {
-       elog "We no longer install pinentry-curses and pinentry-qt SUID root by 
default."
-       elog "Linux kernels >=2.6.9 support memory locking for unprivileged 
processes."
-       elog "The soft resource limit for memory locking specifies the limit an"
-       elog "unprivileged process may lock into memory. You can also use POSIX"
-       elog "capabilities to allow pinentry to lock memory. To do so activate 
the caps"
-       elog "USE flag and add the CAP_IPC_LOCK capability to the permitted set 
of"
-       elog "your users."
-}

diff --git a/app-crypt/pinentry/pinentry-0.7.5.ebuild 
b/app-crypt/pinentry/pinentry-0.7.5.ebuild
deleted file mode 100644
index d3806061..00000000
--- a/app-crypt/pinentry/pinentry-0.7.5.ebuild
+++ /dev/null
@@ -1,71 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/pinentry/pinentry-0.7.5.ebuild,v 
1.11 2009/05/02 20:34:01 swegener Exp $
-
-EAPI=1
-
-inherit qt3 multilib eutils
-
-DESCRIPTION="Collection of simple PIN or passphrase entry dialogs which 
utilize the Assuan protocol"
-HOMEPAGE="http://www.gnupg.org/aegypten/";
-SRC_URI="mirror://gnupg/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm ~hppa ~mips ppc ppc64 s390 sh ~sparc x86"
-IUSE="gtk ncurses qt3 caps"
-
-DEPEND="gtk? ( x11-libs/gtk+:2 )
-       ncurses? ( sys-libs/ncurses )
-       qt3? ( dev-qt/qt-meta:3 )
-       !gtk? ( !qt3? ( !ncurses? ( sys-libs/ncurses ) ) )
-       caps? ( sys-libs/libcap )"
-RDEPEND="${DEPEND}"
-
-src_unpack() {
-       unpack ${A}
-       cd "${S}"
-
-       epatch "${FILESDIR}/${P}-grab.patch"
-       epatch "${FILESDIR}/${PN}-gmem.patch"
-}
-
-src_compile() {
-       local myconf=""
-
-       if ! ( use qt3 || use gtk || use ncurses )
-       then
-               myconf="--enable-pinentry-curses --enable-fallback-curses"
-       fi
-
-       # Issues finding qt on multilib systems
-       export QTLIB="${QTDIR}/$(get_libdir)"
-
-       econf \
-               --disable-dependency-tracking \
-               --enable-maintainer-mode \
-               --disable-pinentry-gtk \
-               $(use_enable gtk pinentry-gtk2) \
-               $(use_enable qt3 pinentry-qt) \
-               $(use_enable ncurses pinentry-curses) \
-               $(use_enable ncurses fallback-curses) \
-               $(use_with caps libcap) \
-               ${myconf} \
-               || die "econf failed"
-       emake || die "emake failed"
-}
-
-src_install() {
-       emake DESTDIR="${D}" install || die "make install failed"
-       dodoc AUTHORS ChangeLog NEWS README THANKS TODO || die "dodoc failed"
-}
-
-pkg_postinst() {
-       elog "We no longer install pinentry-curses and pinentry-qt SUID root by 
default."
-       elog "Linux kernels >=2.6.9 support memory locking for unprivileged 
processes."
-       elog "The soft resource limit for memory locking specifies the limit an"
-       elog "unprivileged process may lock into memory. You can also use POSIX"
-       elog "capabilities to allow pinentry to lock memory. To do so activate 
the caps"
-       elog "USE flag and add the CAP_IPC_LOCK capability to the permitted set 
of"
-       elog "your users."
-}

diff --git a/app-crypt/pinentry/pinentry-0.7.6.ebuild 
b/app-crypt/pinentry/pinentry-0.7.6.ebuild
deleted file mode 100644
index 33d55da9..00000000
--- a/app-crypt/pinentry/pinentry-0.7.6.ebuild
+++ /dev/null
@@ -1,91 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/pinentry/pinentry-0.7.6.ebuild,v 
1.3 2009/07/15 21:04:10 arfrever Exp $
-
-EAPI=3
-
-inherit qt3 multilib eutils flag-o-matic
-
-DESCRIPTION="Collection of simple PIN or passphrase entry dialogs which 
utilize the Assuan protocol"
-HOMEPAGE="http://www.gnupg.org/aegypten/";
-SRC_URI="mirror://gnupg/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
-IUSE="gtk ncurses qt3 qt4 caps static"
-
-DEPEND="static? ( sys-libs/ncurses )
-       !static? (
-               gtk? ( x11-libs/gtk+:2 )
-               ncurses? ( sys-libs/ncurses )
-               qt3? ( dev-qt/qt-meta:3 )
-               qt4? ( >=dev-qt/qtgui-4.4.1 )
-               !gtk? ( !qt4? ( !qt3? ( !ncurses? ( sys-libs/ncurses ) ) ) )
-       )
-       caps? ( sys-libs/libcap )"
-RDEPEND="${DEPEND}"
-
-pkg_setup() {
-       use static && append-ldflags -static
-
-       if use static && { use gtk || use qt3 || use qt4; }
-       then
-               ewarn
-               ewarn "The static USE flag is only supported with the ncurses 
USE flags, disabling the gtk, qt3 and qt4 USE flags."
-               ewarn
-       fi
-}
-
-src_prepare() {
-       epatch "${FILESDIR}/${PN}-0.7.5-grab.patch"
-
-       if use qt4; then
-               local file
-               for file in qt4/*.moc; do
-                       "${EPREFIX}"/usr/bin/moc ${file/.moc/.h} > ${file} || 
die "moc ${file} failed"
-               done
-       fi
-}
-
-src_configure() {
-       local myconf=""
-
-       if ! { use qt3 || use qt4 || use gtk || use ncurses; }
-       then
-               myconf="--enable-pinentry-curses --enable-fallback-curses"
-       elif use static
-       then
-               myconf="--enable-pinentry-curses --enable-fallback-curses 
--disable-pinentry-gtk2 --disable-pinentry-qt --disable-pinentry-qt4"
-       fi
-
-       # Issues finding qt on multilib systems
-       export QTLIB="${QTDIR}/$(get_libdir)"
-
-       econf \
-               --disable-dependency-tracking \
-               --enable-maintainer-mode \
-               --disable-pinentry-gtk \
-               $(use_enable gtk pinentry-gtk2) \
-               $(use_enable qt3 pinentry-qt) \
-               $(use_enable ncurses pinentry-curses) \
-               $(use_enable ncurses fallback-curses) \
-               $(use_enable qt4 pinentry-qt4) \
-               $(use_with caps libcap) \
-               ${myconf}
-}
-
-src_install() {
-       emake DESTDIR="${D}" install || die "make install failed"
-       dodoc AUTHORS ChangeLog NEWS README THANKS TODO || die "dodoc failed"
-}
-
-pkg_postinst() {
-       elog "We no longer install pinentry-curses and pinentry-qt SUID root by 
default."
-       elog "Linux kernels >=2.6.9 support memory locking for unprivileged 
processes."
-       elog "The soft resource limit for memory locking specifies the limit an"
-       elog "unprivileged process may lock into memory. You can also use POSIX"
-       elog "capabilities to allow pinentry to lock memory. To do so activate 
the caps"
-       elog "USE flag and add the CAP_IPC_LOCK capability to the permitted set 
of"
-       elog "your users."
-}

diff --git a/app-crypt/pinentry/pinentry-0.8.0.ebuild 
b/app-crypt/pinentry/pinentry-0.8.0.ebuild
index 651205b7..0bf9605f 100644
--- a/app-crypt/pinentry/pinentry-0.8.0.ebuild
+++ b/app-crypt/pinentry/pinentry-0.8.0.ebuild
@@ -1,25 +1,25 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/pinentry/pinentry-0.8.0.ebuild,v 
1.6 2010/06/27 09:35:23 fauli Exp $
 
 EAPI=3
 
 inherit qt3 multilib eutils flag-o-matic
 
-DESCRIPTION="Collection of simple PIN or passphrase entry dialogs which 
utilize the Assuan protocol"
+DESCRIPTION="Simple passphrase entry dialogs which utilizes the Assuan 
protocol"
 HOMEPAGE="http://gnupg.org/aegypten2/index.html";
 SRC_URI="mirror://gnupg/${PN}/${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 
~x64-freebsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~s390 ~sparc x86 
~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
 IUSE="gtk ncurses qt3 qt4 caps static"
 
-DEPEND="static? ( sys-libs/ncurses )
+DEPEND="
+       static? ( sys-libs/ncurses )
        !static? (
                gtk? ( x11-libs/gtk+:2 )
                ncurses? ( sys-libs/ncurses )
-               qt3? ( dev-qt/qt-meta:3 )
+               qt3? ( !arm? ( dev-qt/qt-meta:3 ) )
                qt4? ( >=dev-qt/qtgui-4.4.1 )
                !gtk? ( !qt4? ( !qt3? ( !ncurses? ( sys-libs/ncurses ) ) ) )
        )
@@ -48,30 +48,31 @@ src_prepare() {
 }
 
 src_configure() {
-       local myconf=""
+       local myeconfargs=(
+               --disable-dependency-tracking
+               --enable-maintainer-mode
+               --disable-pinentry-gtk
+               $(use_enable gtk pinentry-gtk2)
+               $(use_enable ncurses pinentry-curses)
+               $(use_enable ncurses fallback-curses)
+               $(use_enable qt4 pinentry-qt4)
+               $(use_with caps libcap)
+       )
+
+       use arm || myeconfargs+=( $(use_enable qt3 pinentry-qt) )
 
        if ! { use qt4 || use gtk || use ncurses; }
        then
-               myconf="--enable-pinentry-curses --enable-fallback-curses"
+               myeconfargs+=( --enable-pinentry-curses 
--enable-fallback-curses )
        elif use static
        then
-               myconf="--enable-pinentry-curses --enable-fallback-curses 
--disable-pinentry-gtk2 --disable-pinentry-qt --disable-pinentry-qt4"
+               myeconfargs+=( --enable-pinentry-curses 
--enable-fallback-curses --disable-pinentry-gtk2 --disable-pinentry-qt 
--disable-pinentry-qt4 )
        fi
 
        # Issues finding qt on multilib systems
        export QTLIB="${QTDIR}/$(get_libdir)"
 
-       econf \
-               --disable-dependency-tracking \
-               --enable-maintainer-mode \
-               --disable-pinentry-gtk \
-               $(use_enable gtk pinentry-gtk2) \
-               $(use_enable qt3 pinentry-qt) \
-               $(use_enable ncurses pinentry-curses) \
-               $(use_enable ncurses fallback-curses) \
-               $(use_enable qt4 pinentry-qt4) \
-               $(use_with caps libcap) \
-               ${myconf} || die
+       econf "${myeconfargs[@]}" || die
 }
 
 src_install() {

Reply via email to